Subject: Re: bug#22898: 24.5; Frame Width increases on entering a Gnus Group

From: Rares Vernica <[email-masked]>
Date: Fri, 4 Mar 2016 09:06:14 -0800

On Fri, Mar 4, 2016 at 8:38 AM, martin rudalics <[email-masked]> wrote:
>
> >> 1. Start Emacs in X, M-: (frame-width) returns 80
> >>
> >> 2. Start Gnus, (M-x gnus)
> >>
> >> 3. Open one of the groups
> >>
> >> 4. Frame width increases, frame-width returns > 80. Some times it
increases by 1 sometimes by more.
> >
> > I'm unable to reproduce this bug.  I don't think there's anything in
> > Gnus that alters the sizes of frames?  Unless you've made a Gnus window
> > configuration that does something like that...
> >
> > Or perhaps it chooses a wider font?  Do you have any such local
> > customisations?
>
> This could be the same as bug#15700 and bug#22000, due to a change
> of the number of items displayed in the menu bar.  Have a look at
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22000
>
> and tell us whether the symptoms reported there coincide with yours.

I think you are spot on. I can see the frame width increase with just the
right amount to fit the menu bar. On a regular group it increases with 1
column. On the "nndraft:drafts" group it increases with more since this
group has more menus.

Thanks!
Rares